﻿using System;
using System.Collections.Generic;
using System.Text;
using daStaticAnalyser.Analysers.Settings;
using daStaticAnalyser;

namespace DifferentAnalizers
{
    /// <summary>
    /// Настройки анализатора - количество параметров функции
    /// </summary>
    [Serializable()]
    public class EApplicationExceptionGenerationSettings : AnalyserSettings
    {
        private bool isset;
        private string classname;

        /// <summary>
        /// Задано ли имя класса-родителя
        /// </summary>
        public bool IsSet { get { return isset; } set { isset = value; } }

        /// <summary>
        /// Имя класса-родителя
        /// </summary>
        public string ClassName { get { return classname; } set { classname = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        public EApplicationExceptionGenerationSettings()
            : base()
        {
            isset = true;
            classname = "EApplicationException";
        }
    }
}
