﻿using System;
using System.Collections.Generic;
using System.Text;
using daStaticAnalyser.Analysers.Settings;
using daStaticAnalyser;

namespace DifferentAnalizers
{
    /// <summary>
    /// Настройки анализатора - количество параметров функции
    /// </summary>
    [Serializable()]
    public class FuncParamCountSettings : AnalyserSettings
    {
        // максимальное количество параметров функции
        private uint max;

        /// <summary>
        /// Максимальное количество параметров функции
        /// </summary>
        public uint MaxParamCount { get { return max; } set { max = value; } }
    }
}
