﻿using System;
using System.Collections.Generic;
using System.Text;
using daStaticAnalyser.Analysers.Settings;
using daStaticAnalyser;

namespace DifferentAnalizers
{
    /// <summary>
    /// Настройки анализатора - длина идентификатора
    /// </summary>
    [Serializable()]
    public class IdLengthSettings : IdSettings
    {
        private List<LengthConfig> lengths;


        private List<GoodId> stds;

        /// <summary>
        /// Допустимые длины
        /// </summary>
        public List<LengthConfig> Lengths
        {
            get
            {
                if (lengths == null)
                    lengths = new List<LengthConfig>();
                return lengths;
            }
            set { lengths = value; }
        }

        /// <summary>
        /// Стандартные идентификаторы, которые не будут обнаружены
        /// </summary>
        public List<GoodId> StandartIds
        {
            get
            {
                if (stds == null)
                    stds = new List<GoodId>();
                return stds;
            }
            set
            {
                stds = value;
            }
        }
    }
}
