﻿using System;
using System.Collections.Generic;
using System.Text;
using daStaticAnalyser.Analysers.Settings;
using daStaticAnalyser;

namespace DifferentAnalizers
{
    /// <summary>
    /// Настройки анализатора - наличие публичных членов данных в классе
    /// </summary>
    [Serializable()]
    public class PublicMemberSettings : AnalyserSettings
    {
        // Показывать все ошибки
        private bool showall;

        /// <summary>
        /// Показывать все публичные члены класса
        /// </summary>
        public bool ShowAll { get { return showall; } set { showall = value; } }
    }
}
