﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daBase.Analyser
{
    /// <summary>
    /// Атрибут - базовые свойства анализатора по умолчанию
    /// </summary>
    public class BaseAnalyserDefaultSettingsAttribute : Attribute
    {
        // Имя анализатора
        private string name;

        /// <summary>
        /// Имя анализатора
        /// </summary>
        public string Name { get { return name; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="name">имя анализатора</param>
        public BaseAnalyserDefaultSettingsAttribute(string Name)
        {
            name = Name;
        }
    }
}
