﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daBase.Objects.AnalysisErrors
{
    /// <summary>
    /// Аргумент-ошибка
    /// </summary>
    public class ErrorArgs : EventArgs
    {
        // Ошибка
        private ParsingError error;

        /// <summary>
        /// Ошибка анализа
        /// </summary>
        public ParsingError Error { get { return error; } }

        /// <summary>
        /// Параметризованный конструктор
        /// </summary>
        /// <param name="e">ошибка анализа</param>
        public ErrorArgs(ParsingError e)
        {
            error = e;
        }
    }
}
