﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daBase.Objects.Metrics
{
    public class Metrica
    {
        //Поля метрики
        private string name;
        private float value;
        private string obj;
        private string file;
        private int line;

        /// <summary>
        /// Название метрики
        /// </summary>
        public string Name { get { return name; } }

        /// <summary>
        /// Значение метрики
        /// </summary>
        public float Value { get { return value; } }

        /// <summary>
        /// Информация об объекте, относительно которого вычисляется метрика
        /// </summary>
        public string Object { get { return obj; } }

        /// <summary>
        /// Информация о файле, содержащем объект
        /// </summary>
        public string File { get { return file; } }

        /// <summary>
        /// Номер строки, с которой начинается объект
        /// </summary>
        public int Line { get { return line; } }

        public Metrica(string name1, float value1, string obj1, string file1, int line1)
        {
            name = name1;
            value = value1;
            obj = obj1;
            file = file1;
            line = line1;
        }
    }
}
