﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Тип-класс
    /// </summary>
    public class ClassTypeSemanticElement : TypeSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя класса</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Unit">модуль, содержащий класс</param>
        /// <param name="Packed">является ли класс запакованным</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public ClassTypeSemanticElement(string Name, IChildSemanticElement Parent, FileSemanticElement Unit, bool Packed, ISyntaxTreeElement SyntaxElement) : base(Name, Parent, Unit, Packed, SyntaxElement) { }
    }
}
