﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Опция директивы external
    /// </summary>
    public class ExternalOptionSemanticElement : SemanticTreeElement
    {
        protected ExpressionElement value;

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Value">значение опции</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public ExternalOptionSemanticElement(IChildSemanticElement Parent, ExpressionElement Value, ISyntaxTreeElement SyntaxElement)
            : base(Parent, SyntaxElement)
        {
            value = Value;
        }
    }
}
