﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Элемент семантического дерева с родителем
    /// </summary>
    public interface IChildSemanticElement : ISemanticTreeElement
    {
        /// <summary>
        /// Родитель элемента семантического дерева
        /// </summary>
        IChildSemanticElement Parent { get; set; }
    }
}
