﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Элемент семантического дерева
    /// </summary>
    public interface ISemanticTreeElement
    {
        /// <summary>
        /// Соответствующий элемент синтаксического дерева
        /// </summary>
        ISyntaxTreeElement SyntaxElement { get; set; }
    }
}
