﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Потоковая переменная
    /// </summary>
    public class ThreadvarSemanticElement : VarSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя элемента</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Unit">модуль, содержащий элемент</param>
        /// <param name="Type">тип</param>
        /// <param name="IsPlatform">является ли переменная устаревшей (директива platform)</param>
        /// <param name="Value">значение</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public ThreadvarSemanticElement(string Name, IChildSemanticElement Parent, FileSemanticElement Unit, CommonTypeSemanticElement Type, bool IsPlatform, ISyntaxTreeElement Value, VarSemanticElement AbsoluteVar, ISyntaxTreeElement SyntaxElement) : base(Name, Parent, Unit, Type, IsPlatform, Value, AbsoluteVar, SyntaxElement) { }
    }
}
