﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Тип
    /// </summary>
    public class TypeSemanticElement : CommonTypeSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя элемента</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Unit">модуль, содержащий элемент</param>
        /// <param name="Packed">является ли тип запакованным</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public TypeSemanticElement(string Name, IChildSemanticElement Parent, FileSemanticElement Unit, bool Packed, ISyntaxTreeElement SyntaxElement) : base(Name, Parent, Unit, Packed, SyntaxElement) { }
    }
}
