﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Непроанализированный класс
    /// </summary>
    public class UnanalysedClassTypeSemanticElement : ClassTypeSemanticElement, IUnanalysedTypeSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя класса</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public UnanalysedClassTypeSemanticElement(string Name, IChildSemanticElement Parent, ISyntaxTreeElement SyntaxElement) : base(Name, Parent, null, false, SyntaxElement) { }
    }
}
