﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// Непроанализированный интерфейс
    /// </summary>
    public class UnanalysedInterfaceTypeSemanticElement : InterfaceTypeSemanticElement, IUnanalysedTypeSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя интерфейса</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public UnanalysedInterfaceTypeSemanticElement(string Name, IChildSemanticElement Parent, ISyntaxTreeElement SyntaxElement) : base(Name, Parent, null, false, null, null, null, null, SyntaxElement) { }
    }
}
