﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daStaticAnalyser.Analysers
{
    public class MethodInf
    {
        public String Name;
        public String File;
        public int Line;
        public int LSI;
        public List<String> fan_in;
        public List<String> fan_out;
        public List<String> fp;
        public List<String> gp;
        public int xp;
        public int yp;

        public MethodInf(String Name1, String File1, int Line1)
        {
            Name = Name1;
            File = File1;
            Line = Line1;
            fp = new List<string>();
            gp = new List<string>();
            xp = 0;
            yp = 0;
        }

        public MethodInf(String Name1, String Ref)
        {
            Name = Name1;
            fp = new List<string>();
            fp.Add(Ref);
            gp = new List<string>();
            xp = 1;
            yp = 0;
        }
        public MethodInf(String Name1, String File1, int Line1, int LSI1)
        {
            Name = Name1;
            File = File1;
            Line = Line1;
            LSI = LSI1;
            fan_in = new List<string>();
            fan_out = new List<string>();
        }
    }
}
