﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daStaticAnalyser.Analysers.Settings
{
    /// <summary>
    /// Настройки анализаторов проверки идентификатора
    /// </summary>
    [Serializable()]
    public class IdSettings : AnalyserSettings
    {
        private bool dfmisgood;

        /// <summary>
        /// Идентификаторы из dfm-файла - хорошие
        /// </summary>
        public bool DfmIsGood { get { return dfmisgood; } set { dfmisgood = value; } }
    }
}
