﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSyntaxAnalyser.SyntaxTree
{
    using daBase.Objects;

    public class CaretsElement : BlockOfPartOfStandartVariableExpressionElement
    {
        private int count;

        public int Count { get { return count; } set { count = value; } }

        public CaretsElement(TokenInfo StartInfo, int Count, List<TokenInfo> Comments)
            : base(StartInfo, Comments)
        {
            count = Count;
        }

        public override string ToString()
        {
            string result = string.Empty;
            for (int i = 0; i < count; i++)
                result += '^';
            return result;
        }
    }
}
