﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSyntaxAnalyser.SyntaxTree
{
    using daBase.Objects;

    /// <summary>
    /// Выражение
    /// </summary>
    public class ExpressionElement : SyntaxTreeElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="StartInfo">информация о позиции элемента в коде</param>
        /// <param name="Comments">комментарии, относящиеся к элементу</param>
        public ExpressionElement(TokenInfo StartInfo, List<TokenInfo> Comments) : base(StartInfo, Comments) { }
    }
}
