﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSyntaxAnalyser.SyntaxTree
{
    using daBase.Objects;

    public class FinallyStatementElement : CompoundStatementElement
    {
        public FinallyStatementElement(TokenInfo StartInfo, List<StatementsElement> Statements, List<TokenInfo> Comments) : base(StartInfo, Statements, Comments) { }

        public override string ToString()
        {
            return string.Format("finally\r\n{0}end", InnerStatements());
        }
    }
}
