﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSyntaxAnalyser.SyntaxTree
{
    using daBase.Objects;

    public class InnerRecordClassMethodElement : InnerFunctionHeadElement
    {
        public InnerRecordClassMethodElement(TokenInfo Type, TokenInfo Name, List<FunctionVarDeclarationElement> Vars, List<DirectiveElement> Directives, ITypeElement ResultType, List<TokenInfo> Comments) : base(Type, Name, Vars, Directives, ResultType, Comments) { }

        public override string ToString()
        {
            return string.Format("class {0}", base.ToString());
        }
    }
}
