﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.IO;
using System.Xml.Serialization;
using daDataLayer;

namespace danalyser
{
    // Контроллеры
    using danalyser.Controllers;

    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            FileController.Instance.InitCommandLine(Application.StartupPath, args);
            if (FileController.Instance.CommandLine.Length > 0)
                foreach (string filename in FileController.Instance.CommandLine)
                    FileController.Instance.Add(filename);
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(FormController.Instance.Main);
        }
    }
}
