﻿using System;
using System.Collections.Generic;
using System.Text;
using daStaticAnalyser.Analysers.Settings;
using daStaticAnalyser;

namespace DifferentAnalizers
{
    /// <summary>
    /// Настройки анализатора - пустое тело блока кода (begin end / try except / etc)
    /// </summary>
    [Serializable()]
    public class EmptyBodySettings : AnalyserSettings
    {
        // Откомментированный пустой блок - допустимый
        private bool goodifcomment;

        /// <summary>
        /// Считать откомментированные пустые блоки допустимыми
        /// </summary>
        public bool GoodIfComment { get { return goodifcomment; } set { goodifcomment = value; } }
    }
}
