﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CQLQueries
{
    public class ErrorArgs : EventArgs
    {
        private String message;//Суть ошибки
        private int position;//Позиция начала ошибки
        private String level;//Уровень возникновения ошибки
        private int begintok;
        private int endtok;

        public String Message
        {
            get
            {
                return message;
            }
        }

        public int Position
        {
            get
            {
                return position;
            }
        }

        public String Level
        {
            get
            {
                return level;
            }
        }

        public int BeginTok
        {
            get
            {
                return begintok;
            }
        }

        public int EndTok
        {
            get
            {
                return endtok;
            }
        }

        public ErrorArgs(String message1, int position1, String level1, int begintok1, int endtok1)
        {
            message = message1;
            position = position1;
            level = level1;
            begintok = begintok1;
            endtok = endtok1;
        }
    }
}
