﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daBase.Analyser
{
    /// <summary>
    /// Базовые настройки анализатора
    /// </summary>
    [Serializable()]
    public class BaseAnalyserSettings
    {
        private bool enabled;

        /// <summary>
        /// Анализатор включен
        /// </summary>
        public bool Enabled { get { return enabled; } set { enabled = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Enabled">анализатор включен</param>
        public BaseAnalyserSettings(bool Enabled)
        {
            enabled = Enabled;
        }

        /// <summary>
        /// Конструктор (по умолчанию анализатор включен)
        /// </summary>
        public BaseAnalyserSettings() : this(true) { }
    }
}
