﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace daBase.Objects.AnalysisErrors.Report
{
    /// <summary>
    /// Отчет об ошибках
    /// </summary>
    [XmlRoot("Report")]
    public class XmlReport
    {
        // Ошибки
        private List<SerializableError> errors;

        public DateTime Date { get { return DateTime.Now; } set { } }
        [XmlArrayItem("Error")]
        public List<SerializableError> Errors { get { return errors; } set { errors = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        public XmlReport()
        {
            errors = new List<SerializableError>();
        }
    }
}
