﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daBase.Objects
{
    /// <summary>
    /// Сообщение
    /// </summary>
    public class MessageArgs : EventArgs
    {
        private string message;

        /// <summary>
        /// Текст сообщения
        /// </summary>
        public string Message { get { return message; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Message">текст сообщения</param>
        public MessageArgs(string Message)
        {
            message = Message;
        }
    }
}
