﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    public interface ISectionedSemanticElement : IChildSemanticElement
    {
        List<ConstSemanticElement> Consts { get; set; }
        List<ResourceStringSemanticElement> Resourcestrings { get; set; }
        List<CommonTypeSemanticElement> Types { get; set; }
        List<VarSemanticElement> Vars { get; set; }
        List<ThreadvarSemanticElement> Threadvars { get; set; }
        List<MethodSemanticElement> Methods { get; set; }
    }
}
