﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// index опция директивы external
    /// </summary>
    public class IndexExternalOptionSemanticElement : ExternalOptionSemanticElement
    {
        /// <summary>
        /// Индекс
        /// </summary>
        public ExpressionElement Index { get { return value; } set { this.value = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Index">индекс</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public IndexExternalOptionSemanticElement(IChildSemanticElement Parent, ExpressionElement Index, ISyntaxTreeElement SyntaxElement) : base(Parent, Index, SyntaxElement) { }
    }
}
