﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    using daSyntaxAnalyser.SyntaxTree;

    /// <summary>
    /// name опция директивы external
    /// </summary>
    public class NameExternalOptionSemanticElement : ExternalOptionSemanticElement
    {
        /// <summary>
        /// Имя
        /// </summary>
        public ExpressionElement Name { get { return value; } set { this.value = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Name">имя</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public NameExternalOptionSemanticElement(IChildSemanticElement Parent, ExpressionElement Name, ISyntaxTreeElement SyntaxElement) : base(Parent, Name, SyntaxElement) { }
    }
}
