﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSemanticAnalyser.SemanticTree
{
    /// <summary>
    /// Переменная, ссылка на которую не обнаружена
    /// </summary>
    public class UnlinkedVarSemanticElement : VarSemanticElement
    {
        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Name">имя элемента</param>
        /// <param name="Parent">родитель элемента семантического дерева</param>
        /// <param name="Unit">модуль, содержащий элемент</param>
        /// <param name="SyntaxElement">соответствующий элемент синтаксического дерева</param>
        public UnlinkedVarSemanticElement(string Name, IChildSemanticElement Parent, FileSemanticElement Unit) : base(Name, Parent, Unit, null, false, null, null, null) { }
    }
}
