﻿using System;
using System.Collections.Generic;
using System.Text;

namespace daSyntaxAnalyser
{
    using SyntaxTree;

    /// <summary>
    /// Ссылка на файловый элемент синтаксического дерева
    /// </summary>
    public class SyntaxTreeLink
    {
        private FileElement root;

        /// <summary>
        /// Файловый элемент синтаксического дерева
        /// </summary>
        public FileElement Root { get { return root; } set { root = value; } }

        /// <summary>
        /// Конструктор
        /// </summary>
        /// <param name="Root">Файловый элемент синтаксического дерева</param>
        public SyntaxTreeLink(FileElement Root)
        {
            root = Root;
        }

        /// <summary>
        /// Конструктор по умолчанию
        /// </summary>
        public SyntaxTreeLink() : this(null) { }
    }
}
